//
//  CommonFunctions.h
//
//  Created by abhayam on 21/09/15.
//  Copyright (c) 2015 TTN. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

#pragma mark - Notification
void removeNotification(id sender);
void postNotification(NSString *name, id object);
void addNotification(NSString *name, id sender,SEL selector,id object);

#pragma mark - Custom
void customBackButtonForController(id controller);
void manageFlyOur(UIViewController *controller);
void startShake (UIView* view);
void shakeEnded (NSString * animationID, BOOL finished, void *context);
void showCustomAlert (NSString * title,NSString * message);
CGSize dynamicHeightForLabel(NSString *text,float width, UIFont *font);

#pragma mark - NSFileManager

BOOL isFileExist(NSString* path);
void removePath(NSString* path);
void createDirectory(NSString* path);
BOOL isDirectoryExist(NSString* path);


#pragma mark - String
BOOL nonEmptyString(NSString *string);
NSMutableAttributedString* attributedStringForString(NSString *string,NSString *fontName,CGFloat size, UIColor *color);

BOOL nonEmptyDictionary(NSDictionary *dict);

#pragma mark - Date
NSDate* dateWithCurrentTimeZone(NSDate* date);
NSDate* dateFromString(NSString* str,NSString* format);
NSDate* gmtDateWithDate(NSDate* date);
NSDate* dateFromInterval(NSTimeInterval interval);
NSDate* beginningOfDay(NSDate *date);
NSDate* endOfDay(NSDate *date);
NSDate* timeWithGMTTime(NSDate* gmtTime);
NSDate* exactTimeWith(NSDate* sourceDate);
NSDate* dateFromStringWithFormat(NSString* str,NSString* format);
NSString* stringFromDate(NSDate* date,NSString* format);
NSString* fixFormatDateStringFromString(NSString* timeString);
NSDate* fixFormatDateFromString(NSString* timeString);

#pragma mark- UIFont
UIFont* fontWithName(NSString* name,float size);



#pragma mark - Save & Remove Data
void saveDataWithKey(id data,NSString *key);
id dataWithKey(NSString *key);
void removeAllCachedData();

//Check either value is valid integer or nil
BOOL validationForInteger(id value);
id sortOriginalArray(id originalArray);
id sortedNewArray(id originalArray);
void addShadowCircle(CGContextRef context);

